<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\TblNotificacionRepository;

final class TblNotificacionService
{
    private TblNotificacionRepository $TblNotificacionRepository;

    public function __construct(TblNotificacionRepository $TblNotificacionRepository)
    {
        $this->TblNotificacionRepository = $TblNotificacionRepository;
    }

    public function checkAndGet(int $TblNotificacionId): object
    {
        return $this->TblNotificacionRepository->checkAndGet($TblNotificacionId);
    }

    public function getAll(): array
    {
        return $this->TblNotificacionRepository->getAll();
    }

    public function getOne(int $TblNotificacionId): object
    {
        return $this->checkAndGet($TblNotificacionId);
    }

    public function create(array $input): object
    {
        $TblNotificacion = json_decode((string) json_encode($input), false);

        return $this->TblNotificacionRepository->create($TblNotificacion);
    }

    public function update(array $input, int $TblNotificacionId): object
    {
        $TblNotificacion = $this->checkAndGet($TblNotificacionId);
        $data = json_decode((string) json_encode($input), false);

        return $this->TblNotificacionRepository->update($TblNotificacion, $data);
    }

    public function delete(int $TblNotificacionId): void
    {
        $this->checkAndGet($TblNotificacionId);
        $this->TblNotificacionRepository->delete($TblNotificacionId);
    }
}
